SFTPサーバーの Titan FTP

Titan FTP の動作要件

Titan FTPバージョン2019 をご利用いただくための、必要な環境は以下のとおりです。

  • 必ず試用版にてご利用環境での動作をご確認ください。
  • 次期メジャーバージョン (バージョン 2019 の次) では、64 bit OS のみでご利用いただけます。
    32 bit 版用のアプリケーションは、次期バージョンで廃止されます。
  • 次期メジャーバージョンの動作要件は、次期メジャーバージョンの必須環境 (暫定版) にてご確認いただけます。

下記対象は、Titan FTPバージョン 2019 ビルド 3675 以降

対応 OS
  • Microsoft Windows Server 2019
  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows 11 Pro 21H1 以降
  • Microsoft Windows 10 Pro 21H1 以降
  • 上記 OS 以外はサポートしていません。
  • Home エディションはサポートしていません。
  • Windows Storage Server はサポートしていません。
  • Windows 10/11 は バージョン単位でサポート期限が異なります。(Microsoft 社に準拠)
CPU 2.0 Ghz 以上 (Pentium 以降)
メモリ 8 GB 以上 (16GB以上を推奨)
ハードディスク 空き容量 1 GB 以上
  • サーバー構成 1つにつき 200MB 以上の空き容量
その他
  • 1024 x 768 以上のディスプレイ
  • マウス(2 ボタン以上)とキーボード
  • インターネット接続 (オフラインでの利用は可能)
  • Microsoft .NET Framework 4.0 以上が必要
  • IPv6 はサポートしていません。
推奨ブラウザ
(Web Interface)
  • Google Chrome バージョン 87 以降
  • Mozilla Firefox バージョン 84 以降
  • Safari バージョン 13 以降
  • Microsoft Edge

Titan FTP の次期バージョン (2021年度版) の必要環境は以下のとおりです。

  • 本内容は 2021 年 10月 11日 時点の内容となり、変更される可能性があります。
対応 OS
  • Microsoft Windows Server 2022 (予定)
  • Microsoft Windows Server 2019
  • Microsoft Windows Server 2016
  • Microsoft Windows 10 Pro 21H1 以降
  • 64 bit の Windows OS 専用です。
  • 上記 OS 以外はサポートしていません。
  • Home エディション はサポートしていません。
  • Windows Storage Server はサポートしていません。
  • Windows 10/11 は バージョン単位でサポート期限が異なります。(Microsoft 社に準拠)
CPU 2.0 Ghz 以上 (Pentium 以降)
メモリ 16 GB 以上 (32 GB以上を推奨)
ハードディスク 空き容量 1 GB 以上 (2 GB以上を推奨)
  • サーバー構成 1つにつき 300MB 以上の空き容量
ディスプレイ 1024 x 768 以上のディスプレイ
ソフトウェア
  • Microsoft .NET Core ※1
  • Microsoft SQL Server/SQL Server Express 2019 ※2
  • Microsoft SQL Server Management Studio [SSMS] (必須ではなく推奨)※3
  1. インストーラーに含まれています。
  2. SQL Express がインストーラーに含まれています。
  3. Microsoft の サイト より入手可能
ブラウザ

管理コンソール用に HTML 5 対応ブラウザが必要

  • Google Chrome バージョン 92 以降
  • Mozilla Firefox バージョン 91 以降
  • Microsoft Edge バージョン 92 以降
  • Internet Explorer は非対応
アドオン

HTTP/S 接続による Web ブラウザ接続には、Web Interface モジュール が必要 (別売)

[Web Interface 用 推奨ブラウザ (クライアント側) ]

  • Google Chrome バージョン 92 以降
  • Mozilla Firefox バージョン 91 以降
  • Microsoft Edge バージョン 92 以降
  • Safari バージョン 14.1 以降
  • Internet Explorer は非対応
その他
  • マウス(2 ボタン以上)とキーボード
  • インターネット接続 (オフラインでの利用は可能)
  • IPv6 対応予定